# Interface DistributionContainer

All Superinterfaces:
  `Collection<Distribution>, org.gradle.util.Configurable<NamedDomainObjectContainer<Distribution>>, DomainObjectCollection<Distribution>, Iterable<Distribution>, NamedDomainObjectCollection<Distribution>, NamedDomainObjectContainer<Distribution>, NamedDomainObjectSet<Distribution>, Set<Distribution>`

@Incubating public interface DistributionContainer extends NamedDomainObjectContainer<Distribution>
A `DistributionContainer` manages a set of `Distribution` objects.

## Method Summary

### Methods inherited from interface Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface DomainObjectCollection

`all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

### Methods inherited from interface Iterable

`forEach`

### Methods inherited from interface NamedDomainObjectCollection

`add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getNamer, getNames, getRules`

### Methods inherited from interface NamedDomainObjectContainer

`configure, create, create, create, maybeCreate`

### Methods inherited from interface NamedDomainObjectSet

`findAll, matching, matching, withType`

### Methods inherited from interface Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`